﻿using System;
using UnityEngine;

namespace Power
{
    class AcidPower : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null && limb.IsAndroid == false)
            {
                limb.SkinMaterialHandler.AcidProgress += Time.deltaTime * 0.3f;
            }
        }

        public override float Radius
        {
            get
            {
                return 5f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
