﻿using System;
using UnityEngine;

namespace Power
{
    class Androidtransformation : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            var physe = GetComponent<PhysicalBehaviour>();
            if (limb != null && limb.IsAndroid == false)
            {
                limb.IsAndroid = true;
                limb.GetComponent<SpriteRenderer>().color = new Color(0.71960391156f, 0.76906360784f, 0.8053431725f, 1f);
                physe.Properties = ModAPI.FindPhysicalProperties("Metal");
            }
        }

        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
