﻿using System;
using UnityEngine;

namespace Power
{
    class BoneHeal : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null && limb.IsAndroid == false)
            {
                limb.HealBone();
               
            }
        }

        public override float Radius
        {
            get
            {
                return 3f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
