﻿using System;
using UnityEngine;
using System.Collections;
namespace Power
{
    class Explo : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            StartCoroutine(waiter());
        }
        private IEnumerator waiter()
        {
            Vector3 vector = Global.main.MousePosition;
            var obj = new GameObject();
            obj.transform.localPosition = vector;
            var boom = obj.AddComponent<ExplosiveBehaviour>();
            boom.ArmOnAwake = true;
            boom.Delay = 0;
            boom.DestroyOnExplode = true;
            yield return new WaitForSeconds(1f);
        }
    }
}