﻿using System;
using UnityEngine;

namespace Power
{
    class Freeze : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            if (limb != null)
            {
                limb.Frozen = true;
                limb.GetComponent<SpriteRenderer>().color = new Color(0.047f, 0.117f, 0.214f, 1f);

            }
        }

        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }

}
