﻿using System;
using UnityEngine;

namespace Power
{
    // Token: 0x0200012D RID: 301
    public class Orbital : AOEPowerTool
    {
        // Token: 0x0600077C RID: 1916 RVA: 0x00027EC4 File Offset: 0x000260C4
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null && limb.IsAndroid == false)
            {
                limb.PhysicalBehaviour.Ignite();
                limb.PhysicalBehaviour.burnIntensity = 1f;
            }
            Vector2 vector = Global.main.MousePosition - phys.transform.position;
            phys.rigidbody.AddForce((this.GetFalloff(this.Force, vector.sqrMagnitude, this.MaxForce) * Vector2.up + this.GetFalloff(0.1f, vector.sqrMagnitude, 0.1f) * this.mouseMovement) * phys.rigidbody.mass, ForceMode2D.Force);

        }

        // Token: 0x0600077D RID: 1917 RVA: 0x00027F57 File Offset: 0x00026157
        protected override GameObject CreateEffectObject()
        {
            return UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/Lift tool effect"));
        }
    }

}
