﻿using UnityEngine;

namespace Power
{
    public class Power : MonoBehaviour
    {
        public static void Main()
        {
            ModAPI.Register<TimeManager>();
            ModAPI.Register<TimeStop>();



            ModAPI.RegisterPower<HealPower>("Heal Power", "Heals all life nearby.", ModAPI.LoadSprite("heal.png"));
            ModAPI.RegisterPower<PressurePower>("Pressure", "Add gravity to all life nearby.", ModAPI.LoadSprite("grav.png"), "Acid");
            ModAPI.RegisterPower<CurePower>("Cure", "Cure all zombies nearby.", ModAPI.LoadSprite("Cure.png"), "Heal Power");
            ModAPI.RegisterPower<PainPower>("Pain", "Inflicts pain to all life nearby.", ModAPI.LoadSprite("Pain.png"), "Acid");
            ModAPI.RegisterPower<SuffocationPower>("Suffocate", "Suffocates all life nearby.", ModAPI.LoadSprite("suf.png"), "Acid");
            ModAPI.RegisterPower<DetachPower>("Detach", " ", ModAPI.LoadSprite("decay.png"), "Acid");
            ModAPI.RegisterPower<AcidPower>("Acid", "Inflicts acid damage to all life nearby", ModAPI.LoadSprite("acid.png"));
            ModAPI.RegisterPower<Crush>("Crush Power", " ", ModAPI.LoadSprite("Crushj.png"), "Acid");
            ModAPI.RegisterPower<HeadExp>("Head Explosion", " ", ModAPI.LoadSprite("HeadBang.png"), "Acid");
            ModAPI.RegisterPower<Rot>("Rot", " ", ModAPI.LoadSprite("zombie.png"), "Acid");
            ModAPI.RegisterPower<BoneHeal>("Bone Heal", "Heals bones", ModAPI.LoadSprite("BoneHeal.png"), "Heal Power");
            ModAPI.RegisterPower<BloodOff>("Vampire", "Sucks blood", ModAPI.LoadSprite("Vampire.png"), "Acid");
            ModAPI.RegisterPower<Electro>("Charge", " ", ModAPI.LoadSprite("electro.png"), "Acid");
            ModAPI.RegisterPower<Gold>("Midas Touch", " ", ModAPI.LoadSprite("gold.png"), "Acid");

            ModAPI.RegisterPower<Orbital>("Fire cannon", " ", ModAPI.LoadSprite("cannon.png"));
            ModAPI.RegisterPower<SuperPush>("Super Push", " ", ModAPI.LoadSprite("Exp.png"), "Fire cannon");
            ModAPI.RegisterPower<Explo>("Explosion", " ", ModAPI.LoadSprite("Explos.png"), "Fire cannon");
            ModAPI.RegisterPower<FireWorks>("FireWorks", " ", ModAPI.LoadSprite("firework.png"), "Fire cannon");



            ModAPI.RegisterPower<UnFreeze>("UnFreeze", " ", ModAPI.LoadSprite("UnFreeze.png"), "Heal Power");
            ModAPI.RegisterPower<Freeze>("Freeze", " ", ModAPI.LoadSprite("Freeze.png"), "Acid");

            ModAPI.RegisterPower<Androidtransformation>("Transform human to Android", " ", ModAPI.LoadSprite("HumantoA.png"));
            ModAPI.RegisterPower<Humantransformation>("Transform Android to human", " ", ModAPI.LoadSprite("AtoHu.png"), "Transform human to Android");
            ModAPI.RegisterPower<AndroidBoneHeal>("Android Bone Heal", " ", ModAPI.LoadSprite("ABoneheal.png"), "Transform human to Android");
            ModAPI.RegisterPower<AndroidHealPower>("Android Heal", " ", ModAPI.LoadSprite("Aheal.png"), "Transform human to Android");
            ModAPI.RegisterPower<AndroidHeadExp>("Head Explosion", " ", ModAPI.LoadSprite("HeadExpAn.png"), "Transform human to Android");
            ModAPI.RegisterPower<AndroidCrush>("Android Crush power", " ", ModAPI.LoadSprite("Aheadexp.png"), "Transform human to Android");

            ModAPI.RegisterPower<TimeX2>("Time Acceleration power (x2)", " ", ModAPI.LoadSprite("x2.png"));
            ModAPI.RegisterPower<TimeX4>("Time Acceleration power (x4)", " ", ModAPI.LoadSprite("x4.png"), "Time Acceleration power (x2)");
            ModAPI.RegisterPower<TimeX8>("Time Acceleration power (x8)", " ", ModAPI.LoadSprite("x4.png"), "Time Acceleration power (x2)");
            //ModAPI.RegisterPower<MadeInHeaven>("Made In Heaven", "Upon activation, time will gradually flow faster and faster in the whole universe. Can't be stopped ", ModAPI.LoadSprite("Madein.png"), "Time Acceleration power (x2)");
            ModAPI.RegisterPower<TimeStopPower>("Time Stop", " ", ModAPI.LoadSprite("Timestop.png"), "Time Acceleration power (x2)");




        }
    }
}