﻿using System;
using UnityEngine;

namespace Power
{
    class Rot : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null && limb.IsAndroid == false)
            {
               
                 limb.SkinMaterialHandler.RottenProgress += Time.deltaTime * 0.8f;
                
            }
        }

        public override float Radius
        {
            get
            {
                return 5f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
