﻿using System;
using UnityEngine;

namespace Power
{
    class SuperPush : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            Vector2 a = Global.main.MousePosition - phys.transform.position;
            float magnitude = a.magnitude;
            if (magnitude < this.DampeningRadius)
            {
                phys.rigidbody.velocity *= 5.95f;
                phys.rigidbody.angularVelocity *= 5.95f;
            }
            Vector2 a2 = -a / magnitude;
            phys.rigidbody.AddForce((this.GetFalloff(this.Force, a.sqrMagnitude, this.MaxForce) * a2 + this.GetFalloff(4f, a.sqrMagnitude, 4f) * this.mouseMovement) * phys.rigidbody.mass, ForceMode2D.Force);
        }

        protected override GameObject CreateEffectObject()
        {
            return UnityEngine.Object.Instantiate<GameObject>(Resources.Load<GameObject>("Prefabs/HDShockwave"));
        }
    }
}