﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

namespace Power
{
    class TimeStopPower : AOEPowerTool
    {

    


        void Update()
        {

        }

        protected override void HandleObject(PhysicalBehaviour phys)
        {


            var limb = phys.GetComponent<LimbBehaviour>();
            var timebody = phys.GetComponent<TimeStop>();

            if (limb != null)
            {
                timebody = phys.gameObject.GetOrAddComponent<TimeStop>();
                if (timebody.stop == false)
                {
                    timebody.stop = true;
                    limb.Frozen = true;
                }
                else
                {
                    timebody.ContinueTime();
                    limb.Frozen = false;
                }
                
            }
        }

        public override float Radius
        {
            get
            {
                return 3f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
