﻿using System;
using UnityEngine;

namespace Power
{
    class DetachPower : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null)
            {
                limb.BreakBone();
                limb.Wince();
                limb.BreakingThreshold = 0f;
            }
        }

        public override float Radius
        {
            get
            {
                return 5f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
