﻿using System;
using UnityEngine;

namespace Power
{
    class Electro : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();

            if (limb != null)
            {
                PhysicalBehaviour physicalBehaviour = limb.PhysicalBehaviour;
                physicalBehaviour.Charge = 50;

            }
        }
        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}