﻿using System;
using UnityEngine;

namespace Power
{
    class Gold : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            if (limb != null)
            {
                limb.Frozen = true;
                limb.GetComponent<SpriteRenderer>().color = new Color(1f, 0.9f, 0f, 1f);
                phys.Properties = ModAPI.FindPhysicalProperties("Metal");

            }
        }

        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }

}
