﻿using System;
using UnityEngine;

namespace Power
{
    class Humantransformation : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            var physe = GetComponent<PhysicalBehaviour>();

            if (limb != null && limb.IsAndroid == true)
            {
                limb.IsAndroid = false;
                limb.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 1f);
                
                physe.Properties = ModAPI.FindPhysicalProperties("Human");
            }
        }

        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }
    }
}
