﻿using System;
using UnityEngine;

namespace Power
{
    class UnFreeze : AOEPowerTool
    {
        protected override void HandleObject(PhysicalBehaviour phys)
        {
            var limb = phys.GetComponent<LimbBehaviour>();
            if (limb != null)
            {
                limb.Frozen = false;
                limb.GetComponent<SpriteRenderer>().color = new Color(1f, 1f, 1f, 1f);

            }
        }
        public override float Radius
        {
            get
            {
                return 2f;
            }
        }

        public override float DampeningRadius
        {
            get
            {
                return 1f;
            }
        }

    }

}
